Package org.apache.felix.hc.generalchecks

## Class ServicesCheck

- java.lang.Object
- - org.apache.felix.hc.generalchecks.ServicesCheck

All Implemented Interfaces:
  `org.apache.felix.hc.api.HealthCheck`

    public class ServicesCheck
    extends Object
    implements org.apache.felix.hc.api.HealthCheck

### Nested Class Summary

Nested Classes
`static interface` `ServicesCheck.Config`
`class` `ServicesCheck.Tracker`

### Field Summary

Fields
`static String` `HC_DEFAULT_TAG`
`static String` `HC_NAME`

### Fields inherited from interface org.apache.felix.hc.api.HealthCheck

`ASYNC_CRON_EXPRESSION, ASYNC_INTERVAL_IN_SEC, KEEP_NON_OK_RESULTS_STICKY_FOR_SEC, MBEAN_NAME, NAME, RESULT_CACHE_TTL_IN_MS, TAGS`

### Constructor Summary

Constructors
`ServicesCheck()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(org.osgi.framework.BundleContext ctx, ServicesCheck.Config config)`
`protected void` `deactivate()`
`org.apache.felix.hc.api.Result` `execute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HC_NAME

    public static final String HC_NAME

See Also:
  Constant Field Values

#### HC_DEFAULT_TAG

    public static final String HC_DEFAULT_TAG

See Also:
  Constant Field Values

### Constructor Detail

#### ServicesCheck

    public ServicesCheck()

### Method Detail

#### activate

    public void activate​(org.osgi.framework.BundleContext ctx,
                         ServicesCheck.Config config)
                  throws InterruptedException

Throws:
  `InterruptedException`

#### deactivate

    protected void deactivate()

#### execute

    public org.apache.felix.hc.api.Result execute()

Specified by:
  `execute` in interface `org.apache.felix.hc.api.HealthCheck`